# Uses of Class
org.eclipse.swt.printing.PrinterData

Packages that use PrinterData
Package
Description
org.eclipse.swt.printing
SWT Printing support classes.

## Uses of PrinterData in org.eclipse.swt.printing

Methods in org.eclipse.swt.printing that return PrinterData
Modifier and Type
Method
Description
`static PrinterData`
Printer.`getDefaultPrinterData()`
Returns a `PrinterData` object representing the default printer or `null` if there is no default printer.
`PrinterData`
PrintDialog.`getPrinterData()`
Returns the printer data that will be used when the dialog is opened.
`PrinterData`
Printer.`getPrinterData()`
Returns a `PrinterData` object representing the target printer for this print job.
`static PrinterData[]`
Printer.`getPrinterList()`
Returns an array of `PrinterData` objects representing all available printers.
`PrinterData`
PrintDialog.`open()`
Makes the receiver visible and brings it to the front of the display.
Methods in org.eclipse.swt.printing with parameters of type PrinterData
Modifier and Type
Method
Description
`void`
PrintDialog.`setPrinterData(PrinterData data)`
Sets the printer data that will be used when the dialog is opened.
Constructors in org.eclipse.swt.printing with parameters of type PrinterData
Modifier
Constructor
Description
``
`Printer(PrinterData data)`
Constructs a new printer given a `PrinterData` object representing the desired printer.